> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bread.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Get quote

> This endpoint allows you to get quote for offramps.



## OpenAPI

````yaml openapi.json post /quote/offramp
openapi: 3.0.3
info:
  title: Bread API
  description: >-
    The Bread provides comprehensive cryptocurrency wallet management
    capabilities including wallet creation, balance monitoring, and asset
    transfers.
  version: 2.0.0
servers:
  - url: https://processor-prod.up.railway.app
    description: Production server
security: []
paths:
  /quote/offramp:
    post:
      tags:
        - Offramp
      summary: Get quote
      description: This endpoint allows you to get quote for offramps.
      operationId: getOfframpQuote
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OfframpQuoteRequest'
      responses:
        '200':
          description: Offramp quote fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OfframpQuoteResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    OfframpQuoteRequest:
      type: object
      required:
        - amount
        - currency
        - asset
      properties:
        amount:
          type: number
          description: The amount of asset to offramp
          example: 1000
        currency:
          type: string
          enum:
            - NGN
          description: The fiat currency to offramp to
          example: NGN
        asset:
          type: string
          enum:
            - ethereum:usdc
            - base:usdc
            - arbitrum:usdc
            - solana:usdc
            - bsc:usdc
            - polygon:usdc
            - optimism:usdc
            - avalanche:usdc
            - ethereum:usdt
            - arbitrum:usdt
            - solana:usdt
            - polygon:usdt
            - bsc:usdt
            - optimism:usdt
            - avalanche:usdt
            - base:cngn
            - bsc:cngn
          description: The crypto asset to offramp from
          example: base:usdc
        is_exact_output:
          type: boolean
          description: >-
            Whether the amount specified is the exact output amount in fiat
            currency
          default: false
          example: false
    OfframpQuoteResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        status:
          type: integer
          example: 200
        message:
          type: string
          example: Offramp quote fetched successfully
        timestamp:
          type: string
          format: date-time
          example: '2025-09-09T22:58:05.691Z'
        data:
          type: object
          properties:
            type:
              type: string
              description: Type of quote
              example: offramp
            fee:
              type: number
              description: Fee amount for the offramp
              example: 0
            expiry:
              type: string
              format: date-time
              description: Quote expiry timestamp
              example: '2025-09-09T23:00:05.691Z'
            currency:
              type: string
              description: Target fiat currency code
              example: NGN
            rate:
              type: number
              description: Exchange rate from crypto to fiat
              example: 1515
            input_amount:
              type: number
              description: Input amount in fiat currency
              example: 1000
            output_amount:
              type: number
              description: Output amount in fiat currency
              example: 1515000
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-service-key

````